function CleanUI_InitChat()
    hooksecurefunc("TakeTaxiNode", CleanUI_Chat_TakeTaxiNode);
end

function CleanUI_Chat_TakeTaxiNode(id)
    if (FlightMapFrame and FlightMapFrame:IsVisible()) then
        if ( UnitInParty("player") ) then
            local mapID = FlightMapFrame:GetMapID();
            local taxiNodes = C_TaxiMap.GetAllTaxiNodes(mapID);
            for i, taxiNodeData in ipairs(taxiNodes) do
                if taxiNodeData.slotIndex == id then
                    SendChatMessage("I fly to "..taxiNodeData.name..".", "PARTY");
                end
            end
        end
    elseif (TaxiFrame and  TaxiFrame:IsVisible()) then
        local x, y = TaxiNodePosition(id);
        local name = TaxiNodeName(id);
        local type = TaxiNodeGetType(id);

        if ( type == "REACHABLE" ) then
            SendChatMessage("I fly to "..name..".", "PARTY");
        end
    end
end
