function CleanUI_InitTweaks()
    CleanUIUserData = CleanUIUserData or {};


    CleanUI_RegisterTweaksEvents();

    CleanUI_InstallTweaks();

    -- flash Mac-OSX Dock icon or Windows-Taskbar icon
    hooksecurefunc("StaticPopup_Show", FlashClientIcon);
end

function CleanUI_RegisterTweaksEvents()
    local frame = CreateFrame("Frame");

    frame:RegisterEvent("ADDON_LOADED");
    frame:RegisterEvent("READY_CHECK");
	frame:RegisterEvent("ADDON_ACTION_FORBIDDEN");

    frame:HookScript("OnEvent", CleanUI_TweaksOnEvent);
end

function CleanUI_TweaksOnEvent(self, event, ...)
    if (event == "ADDON_LOADED") then
        local addonName = ...;
        -- cui_debug("loaded", addonName);
    elseif (event == "READY_CHECK") then
        FlashClientIcon();
    elseif (event == "ADDON_ACTION_FORBIDDEN") then
        cui_debug(...)
    end
end

function CleanUI_TweaksSlashCommandHandler(msg)
    return false;
end

function CleanUI_InstallTweaks()
    CleanUI_DisableAltArrowKeyMode();
end

function CleanUI_DisableAltArrowKeyMode()
    local i = 1;
    local editbox = "ChatFrame"..i.."EditBox";

    while ( _G[editbox] ~= nil ) do
        _G[editbox]:SetAltArrowKeyMode(false);
        i = i + 1;
        editbox = "ChatFrame"..i.."EditBox";
    end
end
    